<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__id__filter__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_id_filter_t</compoundname>
    <includes local="no">cy_canfd.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__id__filter__t_1a177c81285fdaca0fb49a5f33a2c0abcf" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>volatile uint32_t cy_stc_id_filter_t::sfid2</definition>
        <argsstring />
        <name>sfid2</name>
        <briefdescription>
<para>Standard filter ID 2. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="842" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="842" />
      </memberdef>
      <memberdef id="structcy__stc__id__filter__t_1a6f030ff362c3380842a2577f0072feec" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>volatile uint32_t cy_stc_id_filter_t::sfid1</definition>
        <argsstring />
        <name>sfid1</name>
        <briefdescription>
<para>Standard filter ID 1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="843" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="843" />
      </memberdef>
      <memberdef id="structcy__stc__id__filter__t_1ae49aa325f209d5b23cd03b49f5161b23" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__canfd__enums_1gae5fe195a7883e282b211bc54e10977f0">cy_en_canfd_sfec_t</ref></type>
        <definition>volatile cy_en_canfd_sfec_t cy_stc_id_filter_t::sfec</definition>
        <argsstring />
        <name>sfec</name>
        <briefdescription>
<para>Standard filter element configuration. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="844" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="844" />
      </memberdef>
      <memberdef id="structcy__stc__id__filter__t_1aeda974289f105fa951021d4d5ae5cc44" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__canfd__enums_1ga21b68fc58e117edbae073d981342566a">cy_en_canfd_sft_t</ref></type>
        <definition>volatile cy_en_canfd_sft_t cy_stc_id_filter_t::sft</definition>
        <argsstring />
        <name>sft</name>
        <briefdescription>
<para>Standard filter Type. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="845" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="845" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Message ID filter register. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="846" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="840" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="841" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__id__filter__t_1ae49aa325f209d5b23cd03b49f5161b23" virt="non-virtual"><scope>cy_stc_id_filter_t</scope><name>sfec</name></member>
      <member prot="public" refid="structcy__stc__id__filter__t_1a6f030ff362c3380842a2577f0072feec" virt="non-virtual"><scope>cy_stc_id_filter_t</scope><name>sfid1</name></member>
      <member prot="public" refid="structcy__stc__id__filter__t_1a177c81285fdaca0fb49a5f33a2c0abcf" virt="non-virtual"><scope>cy_stc_id_filter_t</scope><name>sfid2</name></member>
      <member prot="public" refid="structcy__stc__id__filter__t_1aeda974289f105fa951021d4d5ae5cc44" virt="non-virtual"><scope>cy_stc_id_filter_t</scope><name>sft</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>